Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Persistence/Legacy/URL/Query/CriterionHandler/Base.php
Go to the documentation of this file.
1 <?php
2
7 declare(strict_types=1);
8
9 namespace eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler;
10
11 use eZ\Publish\Core\Persistence\Database\SelectQuery;
12 use eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler;
13
14 abstract class Base implements CriterionHandler
15 {
21 protected function joinContentObjectLink(SelectQuery $query): void
22 {
23 if (strpos($query->getQuery(), 'INNER JOIN ezurl_object_link ') === false) {
24 $query->innerJoin(
25 'ezurl_object_link',
26 $query->expr->eq('ezurl.id', 'ezurl_object_link.url_id')
27 );
28 }
29 }
30
36 protected function joinContentObject(SelectQuery $query): void
37 {
38 if (strpos($query->getQuery(), 'INNER JOIN ezcontentobject ') === false) {
39 $query->innerJoin(
40 'ezcontentobject',
41 $query->expr->eq('ezcontentobject.id', 'ezcontentobject_attribute.contentobject_id')
42 );
43 }
44 }
45
51 protected function joinContentObjectAttribute(SelectQuery $query): void
52 {
53 if (strpos($query->getQuery(), 'INNER JOIN ezcontentobject_attribute ') === false) {
54 $query->innerJoin('ezcontentobject_attribute', $query->expr->lAnd(
55 $query->expr->eq(
56 'ezurl_object_link.contentobject_attribute_id',
57 'ezcontentobject_attribute.id'
58 ),
59 $query->expr->eq(
60 'ezurl_object_link.contentobject_attribute_version',
61 'ezcontentobject_attribute.version'
62 )
63 ));
64 }
65 }
66 }
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\Base
Definition: Persistence/Legacy/URL/Query/CriterionHandler/Base.php:15
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\Base\joinContentObjectAttribute
joinContentObjectAttribute(SelectQuery $query)
Inner join ezcontentobject_attribute table if not joined yet.
Definition: Persistence/Legacy/URL/Query/CriterionHandler/Base.php:51
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\Base\joinContentObjectLink
joinContentObjectLink(SelectQuery $query)
Inner join ezurl_object_link table if not joined yet.
Definition: Persistence/Legacy/URL/Query/CriterionHandler/Base.php:21
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler\Base\joinContentObject
joinContentObject(SelectQuery $query)
Inner join ezcontentobject table if not joined yet.
Definition: Persistence/Legacy/URL/Query/CriterionHandler/Base.php:36
eZ\Publish\Core\Persistence\Database\Query\getQuery
getQuery()
Return the SQL string for this query.
eZ\Publish\Core\Persistence\Database\SelectQuery
Definition: SelectQuery.php:16
eZ\Publish\Core\Persistence\Database\SelectQuery\innerJoin
innerJoin()
Returns the SQL for an inner join or prepares $fromString for an inner join.
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler
Definition: Persistence/Legacy/URL/Query/CriterionHandler.php:13
eZ\Publish\Core\Persistence\Legacy\URL\Query\CriterionHandler
Definition: Persistence/Legacy/URL/Query/CriterionHandler/Base.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.